Skip to main content
POST
/
api
/
v1
/
cvms
/
{cvm_id}
/
compose_file
Submit compose file update
curl --request POST \
  --url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/compose_file \
  --header 'Content-Type: application/json' \
  --data '
{
  "compose_file": {
    "name": "<string>",
    "allowed_envs": [
      "<string>"
    ],
    "bash_script": "<string>",
    "default_gateway_domain": "<string>",
    "docker_compose_file": "<string>",
    "init_script": "<string>",
    "kms_enabled": true,
    "local_key_provider_enabled": false,
    "manifest_version": 2,
    "no_instance_id": false,
    "pre_launch_script": "<string>",
    "public_logs": true,
    "public_sysinfo": true,
    "public_tcbinfo": true,
    "runner": "docker-compose",
    "gateway_enabled": true,
    "features": [
      "kms",
      "tproxy-net"
    ],
    "salt": "<string>",
    "secure_time": false,
    "storage_fs": "zfs",
    "tproxy_enabled": true
  },
  "compose_hash": "<string>",
  "encrypted_env": "<string>",
  "env_keys": [
    "<string>"
  ]
}
'

Path Parameters

cvm_id
string
required

Body

application/json

Complete compose file with hash

compose_file
AppComposeV2 · object
required
compose_hash
string
required
encrypted_env
string | null
env_keys
string[] | null

Response

Update initiated